﻿init -1 python hide:
    config.screen_width = 800
    config.screen_height = 450
    config.window_title = u"RSP - Test Game"
    config.name = "RSP Test Game"
    config.version = "0.0"

    theme.threeD(
        widget = "#003c78",
        widget_hover = "#0050a0",
        widget_text = "#c8ffff",
        widget_selected = "#ffffc8",
        disabled = "#404040",
        disabled_text = "#c8c8c8",
        label = "#ffffff",
        frame = "#6496c8",
        mm_root = "#dcebff",
        gm_root = "#dcebff",
        rounded_window = False,
        )

    config.has_sound = True
    config.has_music = True
    config.has_voice = False
    config.help = "None"
    config.enter_transition = None
    config.exit_transition = None
    config.intra_transition = None
    config.main_game_transition = None
    config.game_main_transition = None
    config.end_splash_transition = None
    config.end_game_transition = None
    config.after_load_transition = None
    config.window_show_transition = None
    config.window_hide_transition = None
    config.adv_nvl_transition = dissolve
    config.nvl_adv_transition = dissolve
    config.enter_yesno_transition = None
    config.exit_yesno_transition = None
    config.enter_replay_transition = None
    config.exit_replay_transition = None
    config.say_attribute_transition = None
    
    config.hard_rollback_limit = 0 # (Insert Evil Simle Here)

python early:
    config.save_directory = "RSP - Test Game-1470567608"

init -1 python hide:
    config.default_fullscreen = True
    config.default_text_cps = 0
    config.default_afm_time = 10
    
init python:
    renpy.music.register_channel("test_one", "sfx", False)
    renpy.music.register_channel("test_two", "sfx", False)
    renpy.music.register_channel("test_three", "sfx", False)
    renpy.music.register_channel("test_four", "sfx", False)
    renpy.music.register_channel("test_five", "sfx", False)
    renpy.music.register_channel("test_six", "sfx", False)
    renpy.music.register_channel("sound_one", "sound", loop=False)
    renpy.music.register_channel("sound_two", "sound", loop=False) 
    renpy.music.register_channel("sound_three", "sound", loop=False) 
    renpy.music.register_channel("music_one", "music", loop=True)    
    renpy.music.register_channel("music_two", "music", loop=True) 
    renpy.music.register_channel("music_three", "music", loop=True) 
    renpy.music.register_channel("music_four", "music", loop=True) 
    renpy.music.register_channel("music_five", "music", loop=False)     

init python:
    renpy.image("gui_back_panel_player_one", "images/back_panel_player_one.png")
    def ui_bida_health(): 
        if show_bida_health: 
            ui.bar(bida_health_max, bida_health, 
                xmaximum=200, 
                ymaximum=20, 
                left_bar=Frame("motivation_left.png", 10, 0), 
                right_bar=Frame("motivation_right.png", 10, 0), 
                xpos=9, 
                ypos=409, 
                thumb=None, 
                thumb_shadow=None)
            
    config.overlay_functions.append(ui_bida_health)    
    
init python:
    renpy.image("gui_back_panel_player_two", "images/back_panel_player_two.png")
    def ui_kalaban_health(): 
        if show_kalaban_health: 
            ui.bar(kalaban_health_max, kalaban_health, 
                xmaximum=200, ymaximum=20, 
                left_bar=Frame("motivation_right.png", 0, 0), 
                right_bar=Frame("motivation_left.png", 0, 0), 
                xpos=599, 
                ypos=409, 
                thumb=None, 
                thumb_shadow=None)
            
    config.overlay_functions.append(ui_kalaban_health)        

init:
    python:
        def countdown(st, at, length=0.0):
            remaining = length - st
            if remaining > 2.0:
                return Text("%.1f" % remaining, color="#fff", size=50), .1
            elif remaining > 0.0:
                return Text("%.1f" % remaining, color="#f00", size=50), .1
            else:
                return anim.Blink(Text("0.0", color="#f00", size=50)), None
    image countdown = DynamicDisplayable(countdown, length=5.0)    

init python:
    build.directory_name = "RSP_Test_Game-1.0"
    build.executable_name = "RSP_Test_Game"
    build.include_update = False
    build.classify('**~', None)
    build.classify('**.bak', None)
    build.classify('**/.**', None)
    build.classify('**/#**', None)
    build.classify('**/thumbs.db', None)
    build.documentation('*.html')
    build.documentation('*.txt')
    